Package org.apache.tomcat.dbcp.dbcp2.cpdsadapter

# Class PStmtKeyCPDS

java.lang.Object
org.apache.tomcat.dbcp.dbcp2.PStmtKey
org.apache.tomcat.dbcp.dbcp2.cpdsadapter.PStmtKeyCPDS

@Deprecated public class PStmtKeyCPDS extends PStmtKey
Deprecated.
Use `PStmtKey`.
A key uniquely identifying a `PreparedStatement`.

Since:
  2.0

## Constructor Summary

Constructors
Constructor
Description
`PStmtKeyCPDS(String sql)`
Deprecated.
Constructs a key to uniquely identify a prepared statement.
`PStmtKeyCPDS(String sql, int autoGeneratedKeys)`
Deprecated.
Constructs a key to uniquely identify a prepared statement.
`PStmtKeyCPDS(String sql, int[] columnIndexes)`
Deprecated.
Constructs a key to uniquely identify a prepared statement.
`PStmtKeyCPDS(String sql, int resultSetType, int resultSetConcurrency)`
Deprecated.
Constructs a key to uniquely identify a prepared statement.
`PStmtKeyCPDS(String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
Deprecated.
Constructs a key to uniquely identify a prepared statement.
`PStmtKeyCPDS(String sql, String[] columnNames)`
Deprecated.
Constructs a key to uniquely identify a prepared statement.

## Method Summary

### Methods inherited from class org.apache.tomcat.dbcp.dbcp2.PStmtKey

`createStatement, equals, getAutoGeneratedKeys, getCatalog, getColumnIndexes, getColumnNames, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getSchema, getSql, getStmtType, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PStmtKeyCPDS

public PStmtKeyCPDS(String sql)
Deprecated.
Constructs a key to uniquely identify a prepared statement.

Parameters:
  `sql` - The SQL statement.

### PStmtKeyCPDS

public PStmtKeyCPDS(String sql, int autoGeneratedKeys)
Deprecated.
Constructs a key to uniquely identify a prepared statement.

Parameters:
  `sql` - The SQL statement.
  `autoGeneratedKeys` - A flag indicating whether auto-generated keys should be returned; one of `Statement.RETURN_GENERATED_KEYS` or `Statement.NO_GENERATED_KEYS`.

### PStmtKeyCPDS

public PStmtKeyCPDS(String sql, int resultSetType, int resultSetConcurrency)
Deprecated.
Constructs a key to uniquely identify a prepared statement.

Parameters:
  `sql` - The SQL statement.
  `resultSetType` - A result set type; one of `ResultSet.TYPE_FORWARD_ONLY`, `ResultSet.TYPE_SCROLL_INSENSITIVE`, or `ResultSet.TYPE_SCROLL_SENSITIVE`.
  `resultSetConcurrency` - A concurrency type; one of `ResultSet.CONCUR_READ_ONLY` or `ResultSet.CONCUR_UPDATABLE`.

### PStmtKeyCPDS

public PStmtKeyCPDS(String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)
Deprecated.
Constructs a key to uniquely identify a prepared statement.

Parameters:
  `sql` - The SQL statement.
  `resultSetType` - a result set type; one of `ResultSet.TYPE_FORWARD_ONLY`, `ResultSet.TYPE_SCROLL_INSENSITIVE`, or `ResultSet.TYPE_SCROLL_SENSITIVE`.
  `resultSetConcurrency` - A concurrency type; one of `ResultSet.CONCUR_READ_ONLY` or `ResultSet.CONCUR_UPDATABLE`
  `resultSetHoldability` - One of the following `ResultSet` constants: `ResultSet.HOLD_CURSORS_OVER_COMMIT` or `ResultSet.CLOSE_CURSORS_AT_COMMIT`.

### PStmtKeyCPDS

public PStmtKeyCPDS(String sql, int[] columnIndexes)
Deprecated.
Constructs a key to uniquely identify a prepared statement.

Parameters:
  `sql` - The SQL statement.
  `columnIndexes` - An array of column indexes indicating the columns that should be returned from the inserted row or rows.

### PStmtKeyCPDS

public PStmtKeyCPDS(String sql, String[] columnNames)
Deprecated.
Constructs a key to uniquely identify a prepared statement.

Parameters:
  `sql` - The SQL statement.
  `columnNames` - An array of column names indicating the columns that should be returned from the inserted row or rows.